Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/Bundle.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/Bundle.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/Bundle.cs	(revision 4068)
@@ -1,255 +1,223 @@
 using System;
 using System.Drawing;
-using System.Collections.Generic;
-using System.Text;
 using System.Runtime.Serialization;
 using System.Windows.Forms;
-using System.Drawing.Drawing2D;
-namespace Netron.Diagramming.Core
-{
-    /// <summary>
-    /// A bundle is a collection of diagram entities which does not 
-    /// necessarily have a place in the scene graph but merely serves
-    /// to bundle items together. Various actions and functions are made 
-    /// possible by bundles; cut/copy/paste, templates, user selections 
-    /// and so on.  While a group can have sub-groups, bundles cannot be 
-    /// contained in another and are not necessarily connected (in the sense 
-    /// of a connected branch in the scene graph).
-    /// </summary>
-    [Serializable()]
-    public class Bundle : DiagramEntityBase, IBundle, ISerializable
-    {
-
-        #region Fields
-        /// <summary>
-        /// the Shapes field
-        /// </summary>
-        private CollectionBase<IDiagramEntity> mEntities = 
-            new CollectionBase<IDiagramEntity>();
-
-        #endregion
-
-        #region Properties
-        /// <summary>
-        /// Gets or sets the entities.
-        /// </summary>
-        /// <value>The m entities.</value>
-        public CollectionBase<IDiagramEntity> Entities
-        {
-            get
-            {
-                return mEntities;
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// A bundle is a collection of diagram entities which does not 
+  /// necessarily have a place in the scene graph but merely serves
+  /// to bundle items together. Various actions and functions are made 
+  /// possible by bundles; cut/copy/paste, templates, user selections 
+  /// and so on.  While a group can have sub-groups, bundles cannot be 
+  /// contained in another and are not necessarily connected (in the sense 
+  /// of a connected branch in the scene graph).
+  /// </summary>
+  [Serializable()]
+  public class Bundle : DiagramEntityBase, IBundle, ISerializable {
+
+    #region Fields
+    /// <summary>
+    /// the Shapes field
+    /// </summary>
+    private CollectionBase<IDiagramEntity> mEntities =
+        new CollectionBase<IDiagramEntity>();
+
+    #endregion
+
+    #region Properties
+    /// <summary>
+    /// Gets or sets the entities.
+    /// </summary>
+    /// <value>The m entities.</value>
+    public CollectionBase<IDiagramEntity> Entities {
+      get {
+        return mEntities;
+      }
+    }
+    /// <summary>
+    /// Gets the name of the entity.
+    /// </summary>
+    /// <value>The name of the entity.</value>
+    public override string EntityName {
+      get { return "bundle"; }
+    }
+
+    /// <summary>
+    /// Gets the area that all entities in the bundle encompass.
+    /// </summary>
+    /// <value>The rectangle.</value>
+    public override Rectangle Rectangle {
+      get {
+        if (mEntities.Count == 1) {
+          return mEntities[0].Rectangle;
+        } else if (mEntities.Count > 1) {
+          Rectangle union = mEntities[0].Rectangle;
+          for (int i = 1; i < mEntities.Count; i++) {
+            IDiagramEntity entity = mEntities[i];
+            if (entity.Rectangle != Rectangle.Empty) {
+              union = Rectangle.Union(union, entity.Rectangle);
             }
+          }
+          //maybe this should be inflated a little here?
+          return union;
+        } else {
+          return Rectangle.Empty;
         }
-        /// <summary>
-        /// Gets the name of the entity.
-        /// </summary>
-        /// <value>The name of the entity.</value>
-        public override string EntityName
-        {
-            get { return "bundle"; }
-        }
-
-        /// <summary>
-        /// Gets the area that all entities in the bundle encompass.
-        /// </summary>
-        /// <value>The rectangle.</value>
-        public override Rectangle Rectangle
-        {
-            get
-            {
-                if (mEntities.Count == 1)
-                {
-                    return mEntities[0].Rectangle;
-                }
-                else if (mEntities.Count > 1)
-                {
-                    Rectangle union = mEntities[0].Rectangle;
-                    for (int i = 1; i < mEntities.Count; i++)
-                    {
-                        IDiagramEntity entity = mEntities[i];
-                        if (entity.Rectangle != Rectangle.Empty)
-                        {
-                            union = Rectangle.Union(union, entity.Rectangle);
-                        }
-                    }
-                    //maybe this should be inflated a little here?
-                    return union;
-                }
-                else
-                {
-                    return Rectangle.Empty;
-                }
-            }
-             //set { throw new InconsistencyException("The rectangle of a bundle is the union of its constituents and cannot be set."); }
-        }
-
-        #endregion
-
-        #region Constructor
-
-        /// <summary>
-        /// Initializes a new instance of the <see cref="T:Bundle"/> class.
-        /// </summary>
-        public Bundle(IModel model) : base(model)
-        {
-            mEntities = new CollectionBase<IDiagramEntity>();
-        }
-
-        /// <summary>
-        /// Initializes a new instance of the <see cref="T:Bundle"/> class.
-        /// </summary>
-        /// <param name="info">The info.</param>
-        /// <param name="context">The context.</param>
-        protected Bundle(
-            SerializationInfo info, 
-            StreamingContext context) : base(info, context)
-        {
-            throw new NotImplementedException();
-        }
-        /// <summary>
-        /// Initializes a new instance of the <see cref="T:Bundle"/> class.
-        /// </summary>
-        public Bundle() : base()
-        {
-            mEntities = new CollectionBase<IDiagramEntity>();
-        }
-
-        /// <summary>
-        /// Creates a new bundle using a given collection of diagram entities.
-        /// </summary>
-        /// <param name="collection"></param>
-        public Bundle(CollectionBase<IDiagramEntity> collection) : base()
-        {
-            
-            mEntities = new CollectionBase<IDiagramEntity>();
-            //we could assign it directly but let's make sure the collection does not
-            //contain unwanted elements
-                foreach (IDiagramEntity entity in collection)
-                {
-                    if ((entity is IShape) || (entity is IConnection) || (entity is IGroup))
-                        mEntities.Add(entity);
-                }
-             
-            //the following line would give problem. The event handler attached to the Selection would be triggered when
-            //the mEntities collection is changed!
-            //mEntities = collection;
-
-        }
-
-        #endregion
-
-        #region Methods
-        /// <summary>
-        /// The custom menu to be added to the base menu of this entity
-        /// </summary>
-        /// <returns>ToolStripItem[]</returns>
-        public override ToolStripItem[] Menu()
-        {
-            return null;
-        }
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Sets the 'IsSelected' property to false for all entities in the 
-        /// bundle.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public void DeSelectAll()
-        {
-            foreach (IDiagramEntity entity in mEntities)
-            {
-                entity.IsSelected = false;
-            }
-        }
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Sets the 'Hovered' property for all entities in the bundle to
-        /// the value specified.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public void SetHovered(bool isHovered)
-        {
-            foreach (IDiagramEntity entity in mEntities)
-            {
-                entity.Hovered = isHovered;
-            }
-        }
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Populates a 
-        /// <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> 
-        /// with the data needed to serialize the target object.
-        /// </summary>
-        /// <param name="info">The 
-        /// <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> 
-        /// to populate with data.</param>
-        /// <param name="context">The destination (see 
-        /// <see cref="T:System.Runtime.Serialization.StreamingContext"></see>) 
-        /// for this serialization.</param>
-        /// <exception cref="T:System.Security.SecurityException">The caller 
-        /// does not have the required permission. </exception>
-        // ------------------------------------------------------------------
-        public override void GetObjectData(
-            SerializationInfo info, 
-            StreamingContext context)
-        {
-            throw new NotImplementedException();
-        }
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Paints the bundle.
-        /// </summary>
-        /// <param name="g">Graphics</param>
-        // ------------------------------------------------------------------
-        public override void Paint(Graphics g)
-        {
-            foreach (IDiagramEntity entity in mEntities)
-            {
-                entity.Paint(g);
-            }
-        }
-
-        /// <summary>
-        /// Tests whether the bundle is hit by the mouse
-        /// </summary>
-        /// <param name="p"></param>
-        /// <returns></returns>
-        public override bool Hit(Point p)
-        {
-            foreach (IDiagramEntity entity in mEntities)
-            {
-                if (entity.Hit(p)) return true;
-            }
-            return false;
-        }
-
-        /// <summary>
-        /// Invalidates the entity
-        /// </summary>
-        public override void Invalidate()
-        {
-            foreach (IDiagramEntity entity in mEntities)
-            {
-                entity.Invalidate();
-            }
-        }
-
-        /// <summary>
-        /// Moves the entity on the canvas
-        /// </summary>
-        /// <param name="p">a shift vector</param>
-        public override void MoveBy(Point p)
-        {
-            foreach (IDiagramEntity entity in mEntities)
-            {
-                entity.MoveBy(p);
-            }
-        }
-       
-        #endregion
-    }
+      }
+      //set { throw new InconsistencyException("The rectangle of a bundle is the union of its constituents and cannot be set."); }
+    }
+
+    #endregion
+
+    #region Constructor
+
+    /// <summary>
+    /// Initializes a new instance of the <see cref="T:Bundle"/> class.
+    /// </summary>
+    public Bundle(IModel model)
+      : base(model) {
+      mEntities = new CollectionBase<IDiagramEntity>();
+    }
+
+    /// <summary>
+    /// Initializes a new instance of the <see cref="T:Bundle"/> class.
+    /// </summary>
+    /// <param name="info">The info.</param>
+    /// <param name="context">The context.</param>
+    protected Bundle(
+        SerializationInfo info,
+        StreamingContext context)
+      : base(info, context) {
+      throw new NotImplementedException();
+    }
+    /// <summary>
+    /// Initializes a new instance of the <see cref="T:Bundle"/> class.
+    /// </summary>
+    public Bundle()
+      : base() {
+      mEntities = new CollectionBase<IDiagramEntity>();
+    }
+
+    /// <summary>
+    /// Creates a new bundle using a given collection of diagram entities.
+    /// </summary>
+    /// <param name="collection"></param>
+    public Bundle(CollectionBase<IDiagramEntity> collection)
+      : base() {
+
+      mEntities = new CollectionBase<IDiagramEntity>();
+      //we could assign it directly but let's make sure the collection does not
+      //contain unwanted elements
+      foreach (IDiagramEntity entity in collection) {
+        if ((entity is IShape) || (entity is IConnection) || (entity is IGroup))
+          mEntities.Add(entity);
+      }
+
+      //the following line would give problem. The event handler attached to the Selection would be triggered when
+      //the mEntities collection is changed!
+      //mEntities = collection;
+
+    }
+
+    #endregion
+
+    #region Methods
+    /// <summary>
+    /// The custom menu to be added to the base menu of this entity
+    /// </summary>
+    /// <returns>ToolStripItem[]</returns>
+    public override ToolStripItem[] Menu() {
+      return null;
+    }
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Sets the 'IsSelected' property to false for all entities in the 
+    /// bundle.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public void DeSelectAll() {
+      foreach (IDiagramEntity entity in mEntities) {
+        entity.IsSelected = false;
+      }
+    }
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Sets the 'Hovered' property for all entities in the bundle to
+    /// the value specified.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public void SetHovered(bool isHovered) {
+      foreach (IDiagramEntity entity in mEntities) {
+        entity.Hovered = isHovered;
+      }
+    }
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Populates a 
+    /// <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> 
+    /// with the data needed to serialize the target object.
+    /// </summary>
+    /// <param name="info">The 
+    /// <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> 
+    /// to populate with data.</param>
+    /// <param name="context">The destination (see 
+    /// <see cref="T:System.Runtime.Serialization.StreamingContext"></see>) 
+    /// for this serialization.</param>
+    /// <exception cref="T:System.Security.SecurityException">The caller 
+    /// does not have the required permission. </exception>
+    // ------------------------------------------------------------------
+    public override void GetObjectData(
+        SerializationInfo info,
+        StreamingContext context) {
+      throw new NotImplementedException();
+    }
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Paints the bundle.
+    /// </summary>
+    /// <param name="g">Graphics</param>
+    // ------------------------------------------------------------------
+    public override void Paint(Graphics g) {
+      foreach (IDiagramEntity entity in mEntities) {
+        entity.Paint(g);
+      }
+    }
+
+    /// <summary>
+    /// Tests whether the bundle is hit by the mouse
+    /// </summary>
+    /// <param name="p"></param>
+    /// <returns></returns>
+    public override bool Hit(Point p) {
+      foreach (IDiagramEntity entity in mEntities) {
+        if (entity.Hit(p)) return true;
+      }
+      return false;
+    }
+
+    /// <summary>
+    /// Invalidates the entity
+    /// </summary>
+    public override void Invalidate() {
+      foreach (IDiagramEntity entity in mEntities) {
+        entity.Invalidate();
+      }
+    }
+
+    /// <summary>
+    /// Moves the entity on the canvas
+    /// </summary>
+    /// <param name="p">a shift vector</param>
+    public override void MoveBy(Point p) {
+      foreach (IDiagramEntity entity in mEntities) {
+        entity.MoveBy(p);
+      }
+    }
+
+    #endregion
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/Display.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/Display.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/Display.cs	(revision 4068)
@@ -1,12 +1,7 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Text;
-
-namespace Netron.Diagramming.Core
-{
-    public static class Display
-    {
-        public static float DpiX = 96F;
-        public static float DpiY = 96F;
-    }
+﻿
+namespace Netron.Diagramming.Core {
+  public static class Display {
+    public static float DpiX = 96F;
+    public static float DpiY = 96F;
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/EntityBone.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/EntityBone.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/EntityBone.cs	(revision 4068)
@@ -1,44 +1,36 @@
-using System;
-using System.Diagnostics;
-using System.Collections;
 using System.Drawing;
-using System.Windows.Forms;
 
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Bare bone structure of an entity related to a scaling transformation
+  /// </summary>
+  public struct EntityBone {
     /// <summary>
-    /// Bare bone structure of an entity related to a scaling transformation
+    /// the rectangle of the entity
     /// </summary>
-    public struct EntityBone
-    {
-        /// <summary>
-        /// the rectangle of the entity
-        /// </summary>
-        private Rectangle mRectangle;
-        /// <summary>
-        /// the connector points
-        /// </summary>
-        private Point[] mConnectorPoints;
+    private Rectangle mRectangle;
+    /// <summary>
+    /// the connector points
+    /// </summary>
+    private Point[] mConnectorPoints;
 
-        /// <summary>
-        /// Gets or sets the rectangle.
-        /// </summary>
-        /// <value>The rectangle.</value>
-        public Rectangle Rectangle
-        {
-            get { return mRectangle; }
-            set { mRectangle = value; }
-        }
+    /// <summary>
+    /// Gets or sets the rectangle.
+    /// </summary>
+    /// <value>The rectangle.</value>
+    public Rectangle Rectangle {
+      get { return mRectangle; }
+      set { mRectangle = value; }
+    }
 
 
-        /// <summary>
-        /// Gets or sets the connector points.
-        /// </summary>
-        /// <value>The connector points.</value>
-        public Point[] ConnectorPoints
-        {
-            get { return mConnectorPoints; }
-            set { mConnectorPoints = value; }
-        }
+    /// <summary>
+    /// Gets or sets the connector points.
+    /// </summary>
+    /// <value>The connector points.</value>
+    public Point[] ConnectorPoints {
+      get { return mConnectorPoints; }
+      set { mConnectorPoints = value; }
     }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/Formatting.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/Formatting.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/Formatting.cs	(revision 4068)
@@ -1,17 +1,11 @@
 
 using System;
-using System.Reflection;
-using System.Reflection.Emit;
-using System.Diagnostics;
+using System.Collections.Generic;
 using System.Text;
-using System.Collections;
-using System.Collections.Generic;
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
   /// <summary>
   /// <i>(Describe usage of "L:300" format string.)</i>
   /// </summary>
-  public interface IShowable : IFormattable
-  {
+  public interface IShowable : IFormattable {
     //TODO: wonder if we should use TextWriters instead of StringBuilders?
     /// <summary>
@@ -33,6 +27,5 @@
   /// 
   /// </summary>
-  public static class Showing
-  {
+  public static class Showing {
     /// <summary>
     /// Show  <code>Object obj</code> by appending it to <code>stringbuilder</code>
@@ -43,6 +36,5 @@
     /// <param name="formatProvider"></param>
     /// <returns>True if <code>obj</code> was shown completely.</returns>
-    public static bool Show(Object obj, StringBuilder stringbuilder, ref int rest, IFormatProvider formatProvider)
-    {
+    public static bool Show(Object obj, StringBuilder stringbuilder, ref int rest, IFormatProvider formatProvider) {
       if (rest <= 0)
         return false;
@@ -62,6 +54,5 @@
     /// <param name="formatProvider"></param>
     /// <returns></returns>
-    public static String ShowString(IShowable showable, String format, IFormatProvider formatProvider)
-    {
+    public static String ShowString(IShowable showable, String format, IFormatProvider formatProvider) {
       int rest = maxLength(format);
       StringBuilder sb = new StringBuilder();
@@ -75,14 +66,11 @@
     /// <param name="format"></param>
     /// <returns></returns>
-    static int maxLength(String format)
-    {
+    static int maxLength(String format) {
       //TODO: validate format string
       if (format == null)
         return 80;
-      if (format.Length > 1 && format.StartsWith("L"))
-      {
+      if (format.Length > 1 && format.StartsWith("L")) {
         return int.Parse(format.Substring(1));
-      }
-      else
+      } else
         return int.MaxValue;
     }
@@ -97,23 +85,19 @@
     /// <param name="formatProvider"></param>
     /// <returns>True if collection was shown completely</returns>
-    public static bool ShowCollectionValue<T>(ICollectionBase<T> items, StringBuilder stringbuilder, ref int rest, IFormatProvider formatProvider)
-    {
+    public static bool ShowCollectionValue<T>(ICollectionBase<T> items, StringBuilder stringbuilder, ref int rest, IFormatProvider formatProvider) {
       string startdelim = "{ ", enddelim = " }";
       bool showIndexes = false;
-      
+
       //TODO: do not test here at run time, but select code at compile time
       //      perhaps by delivering the print type to this metod
-      if (items is IList<T>)
-      {
+      if (items is IList<T>) {
         startdelim = "[ ";
         enddelim = " ]";
-       
-      }
-      else if (items is ICollection<T>)
-      {
-       
-          startdelim = "{{ ";
-          enddelim = " }}";
-       
+
+      } else if (items is ICollection<T>) {
+
+        startdelim = "{{ ";
+        enddelim = " }}";
+
       }
 
@@ -124,8 +108,7 @@
       int index = 0;
 
-     
+
       {
-        foreach (T x in items)
-        {
+        foreach (T x in items) {
           complete = false;
           if (rest <= 0)
@@ -133,11 +116,9 @@
           if (first)
             first = false;
-          else
-          {
+          else {
             stringbuilder.Append(", ");
             rest -= 2;
           }
-          if (showIndexes)
-          {
+          if (showIndexes) {
             string indexString = string.Format("{0}:", index++);
             stringbuilder.Append(indexString);
@@ -147,6 +128,5 @@
         }
       }
-      if (!complete)
-      {
+      if (!complete) {
         stringbuilder.Append("...");
         rest -= 3;
@@ -167,6 +147,5 @@
     /// <param name="rest"></param>
     /// <returns></returns>
-    public static bool ShowDictionary<K, V>(IDictionary<K, V> dictionary, StringBuilder stringbuilder, ref int rest, IFormatProvider formatProvider)
-    {
+    public static bool ShowDictionary<K, V>(IDictionary<K, V> dictionary, StringBuilder stringbuilder, ref int rest, IFormatProvider formatProvider) {
       stringbuilder.Append("{ ");
       rest -= 4;				   // Account for "( " and " )"
@@ -174,6 +153,5 @@
       bool complete = true;
 
-      foreach (KeyValuePair<K, V> p in dictionary)
-      {
+      foreach (KeyValuePair<K, V> p in dictionary) {
         complete = false;
         if (rest <= 0)
@@ -181,6 +159,5 @@
         if (first)
           first = false;
-        else
-        {
+        else {
           stringbuilder.Append(", ");
           rest -= 2;
@@ -188,10 +165,9 @@
         complete = Showing.Show(p, stringbuilder, ref rest, formatProvider);
       }
-      if (!complete)
-      {
+      if (!complete) {
         stringbuilder.Append("...");
         rest -= 3;
       }
-      stringbuilder.Append( " }");
+      stringbuilder.Append(" }");
       return complete;
     }
